# Class PubKeyRing

#### Hierarchy

- unknown
  - PubKeyRing

- Defined in src/protobuf/pb_pb.d.ts:1835
- Defined in src/protobuf/pb_pb.d.ts:1854

#####
Index

### Constructors

constructor

### Methods

getEncryptionPubKeyBytes
getEncryptionPubKeyBytes_asB64
getEncryptionPubKeyBytes_asU8
getSignaturePubKeyBytes
getSignaturePubKeyBytes_asB64
getSignaturePubKeyBytes_asU8
serializeBinary
setEncryptionPubKeyBytes
setSignaturePubKeyBytes
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PubKeyRing(): PubKeyRing

- #### Returns PubKeyRing

  Inherited from jspb.Message.constructor

## Methods

### getEncryptionPubKeyBytes

- getEncryptionPubKeyBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1841

### getEncryptionPubKeyBytes_asB64

- getEncryptionPubKeyBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1843

### getEncryptionPubKeyBytes_asU8

- getEncryptionPubKeyBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1842

### getSignaturePubKeyBytes

- getSignaturePubKeyBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1836

### getSignaturePubKeyBytes_asB64

- getSignaturePubKeyBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1838

### getSignaturePubKeyBytes_asU8

- getSignaturePubKeyBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1837

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1846

### setEncryptionPubKeyBytes

- setEncryptionPubKeyBytes(value: string | Uint8Array): PubKeyRing

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:1844

### setSignaturePubKeyBytes

- setSignaturePubKeyBytes(value: string | Uint8Array): PubKeyRing

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:1839

### toObject

- toObject(includeInstance?: boolean): PubKeyRing.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PubKeyRing.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1847

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PubKeyRing

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:1850

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PubKeyRing, reader: BinaryReader): PubKeyRing

- #### Parameters

  - ##### message: PubKeyRing

  - ##### reader: BinaryReader

  #### Returns PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:1851

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PubKeyRing, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PubKeyRing

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1849

### `Static` toObject

- toObject(includeInstance: boolean, msg: PubKeyRing): PubKeyRing.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PubKeyRing

  #### Returns PubKeyRing.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1848

Generated using TypeDoc